from django import forms
from .models import Notificacion

class NotificacionForm(forms.ModelForm):
    
    class Meta:
        model = Notificacion
        exclude = ['fecha_creacion']
        fields = ['asunto', 'descripcion', 'creador']
        widgets = {
            'asunto': forms.TextInput(attrs={'id': 'id_notificacion_asunto',
                                            'class': 'form-control', 
                                            'placeholder':'Escribe el asunto de la notificación aquí'}),
            'descripcion': forms.Textarea(attrs={'id':'id_notificacion_descripcion',
                                                'rows': 8, 
                                                'class': 'form-control', 
                                                'placeholder':'Escribe la descripción aquí'}) 
        }
        
    
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['asunto'].required = True
        self.fields['descripcion'].required = True
